# Retrieve renditions for a specified entity

Retrieves information about renditions that exist for a specified entity, including their gateway links and delivery links. Renditions can be filtered by area of use or by their rendition link name, or both.

Endpoint: POST /api/entities/{entityId}/v2.0/renditions
Version: v2.0
Security: OAuth2

## Path parameters:

  - `entityId` (integer, required)
    The unique identifier of the entity.

## Request fields (application/json-patch+json):

  - `rendition_link_names` (array,null)
    The names of the rendition links to return if they exist on the entity.

  - `areas_of_use` (array,null)
    The area of use of the rendition links to return. For example, the area of use Download will return all existing renditions that are available for the download component. See the RenditionLinkIntendedAreaOfUse option list for all available values.

## Response 200 fields (application/json):

  - `entity_id` (integer)
    The unique identifier for the targeted entity.

  - `renditions` (array,null)
    Collection of renditions metadata.

  - `renditions.rendition_link` (object)
    Metadata about a rendition link.

  - `renditions.rendition_link.id` (integer)
    Unique identifier for the rendition link.

  - `renditions.rendition_link.name` (string,null)
    Name of the rendition link.

  - `renditions.rendition_link.description` (string,null)
    A description for the rendition link.

  - `renditions.rendition_link.is_user_rendition` (boolean,null)
    Whether the rendition link is for a user rendition.

  - `renditions.rendition_link.required_permissions` (array,null)
    List of the permission required to access the rendition link.

  - `renditions.rendition_link.processing_configuration` (object,null)
    The processing configuration in case of user renditions to be able to generate the rendition.

  - `renditions.rendition_link.labels` (object,null)
    The labels in all languages for the rendition link.

  - `renditions.rendition_link.watermarking` (object)
    Metadata about when watermarking can potentially be applied on a rendition.

  - `renditions.rendition_link.watermarking.gateway_enabled` (boolean)
    Whether the watermarking can appear on gateway links for this rendition.

  - `renditions.rendition_link.watermarking.delivery_enabled` (boolean)
    Whether the watermarking can appear on delivery links for this rendition.

  - `renditions.rendition_link.areas_of_use` (array,null)
    The area of use of the rendition link.

  - `renditions.file_location` (object)
    Information about the rendition's files.

  - `renditions.file_location.location` (string,null)
    The files storage location name.

  - `renditions.file_location.files` (array,null)
    Collection of Information about the files.

  - `renditions.file_location.files.file_key` (string,null)
    The key identifying the file.

  - `renditions.file_location.files.metadata` (object,null)
    Metadata about the file.

  - `renditions.file_location.files.delivery_link` (object)
    Represents a link to a resource.

  - `renditions.file_location.files.delivery_link.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `renditions.file_location.files.delivery_link.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `renditions.file_location.files.delivery_link.title` (string,null)
    Gets or sets the title that describes this link.

  - `renditions.file_location.files.delivery_link.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `renditions.rendition_status` (string,null)
    Status of the rendition.

  - `renditions.gateway_link` (object)
    Represents a link to a resource.

  - `renditions.created_by` (integer,null)
    The user who created the rendition.

  - `renditions.modified_by` (integer,null)
    The user who last modified the rendition.

  - `renditions.self` (object)
    Represents a link to a resource.

  - `self` (object)
    Represents a link to a resource.


## Response 400 fields

## Response 401 fields

## Response 404 fields
